// настройки ценообразования
var $lwc;
(function ($lwc) {

    // rate - курс валюты или коэффициент. если цены рублёвые, ставим "1"
    // в тестовых данных цены в евро. здесь можно задать скидки - наценки по рекламным акциям
    var p = $lwc.price = {rate: 41};

    // % скидки при заказе через сайт. отображается в правой части калькулятора
    p.discount = 7;

    // цена погонного метра профиля с арматурой и штапиком
    // список доступных профилей задается в lwc-design.js
    var profil = p.profil = {};
    profil.fav = 11.20;      // Фаворит 71 мм
    profil.bau = 9.20;      // Баутек 71 мм
    profil.grain = 10.30;     // Grain Prestige 70 мм

    // наценка за ламинацию погонного метра профиля
    var color = p.color = {};
    color.whwh = 0;            // белый
    color.whclr = 2;           // лам с одной стороны
    color.clrclr = 3;          // лам с двух сторон

    // сэндвич, стекло, стеклопакеты
    var glass = p.glass = {};
    // цена за квадратный метр стекла
    glass.spo24 = 20.9;       // однокамерный 24
    glass.spd32 = 37.3;       // двухкамерный 32
    glass.spd40 = 39.1;       // двухкамерный 40
    glass.snd32 = 14.1;       // сэндвич

    // наценка за специальное стекло (добавляется к цене кв.м. заполнения)
    glass.ordinary = 0;
    glass.energo = 6.52;          // энергосберегающее
    glass.reflective = 22;        // солнцеотражающее
    glass.energoreflective = 27;  // энерго + зеркало
    glass.armored = 33;           // бронированное

    // цены на фурнитуру для каждого профиля на каждую створку
    var furn = p.furn = {}, f;
    f = furn[$lwc.profiles.fav.name] = {};      // для фаворита
    f[$lwc.opentypes.rotary] = 50.45;           // поворотная для фаворита
    f[$lwc.opentypes.rotaryfolding] = 59.03;    // поворотно-откидная для фаворита
    f = furn[$lwc.profiles.bau.name] = {};      // для баутека
    f[$lwc.opentypes.rotary] = 44.16;           // поворотная для баутека
    f[$lwc.opentypes.rotaryfolding] = 53.07;    // поворотно-откидная для баутека
    f = furn[$lwc.profiles.grain.name] = {};    // для Grain
    f[$lwc.opentypes.rotary] = 46.76;           // поворотная для Grain
    f[$lwc.opentypes.rotaryfolding] = 55.66;    // поворотно-откидная для Grain

    // для допов и монтажных работ, в показатель пишем не число, а формулу
    // доступные переменные:
    // p - периметр, s - площадь, sgl - площадь заполнений,
    // sf - площадь створок,  nf - количество створок (фурнитур)
    // w - ширина изделия, h - высота изделия

    // наценка за микропроветривание (на каждую створку)
    p.ventilation = "nf * 5.79";

    // наценка за ограничитель в фурнитуре (на каждую створку)
    var limiter = p.limiter = {};
    limiter[$lwc.limiters.none] = 0;
    limiter[$lwc.limiters.ordinary] = "nf * 1.47";     // обычный ограничитель
    limiter[$lwc.limiters.discrete] = "nf * 2.2";        // дискретный ограничитель

    // цена за кв.м москитной сетки (цену умножаем на площадь створок)
    p.mosquito = "sf * 10.2";

    // цена метра подоконника в домах разных типов (цену умножаем на ширину изделия)
    var sill = p.sill = {};
    sill[$lwc.houses.panel] = "w * 9.55";             // подоконник в панельном доме
    sill[$lwc.houses.brick] = "w * 14.25";            // подоконник в кирпичном доме
    sill[$lwc.houses.wooden] = "w * 11.40";           // подоконник в деревянном доме
    sill.result = "pr[d][houses[e.houses.val()]]";    // формула

    // цена за м водоотлива (цену умножаем на ширину изделия)
    p.otliv = "w * 2.02";

    // цена за кв.м монтажа в домах разных типов (цену умножаем на площадь изделия)
    var mnt = p.mnt = {};
    mnt[$lwc.houses.panel] = "s * 21";                // монтаж в панельном доме
    mnt[$lwc.houses.brick] = "s * 25";                // монтаж в кирпичном доме
    mnt[$lwc.houses.wooden] = "s * 23";               // монтаж в деревянном доме

    // цена за погонный метр откоса в домах разных типов (умножаем на 2h + w)
    var otkos = p.otkos = {};
    otkos[$lwc.houses.panel] = "(w + 2 * h) * 7.25";   // откосы в панельном доме
    otkos[$lwc.houses.brick] = "(w + 2 * h) * 9.55";   // откосы в кирпичном доме
    otkos[$lwc.houses.wooden] = "(w + 2 * h) * 7.25";  // откосы в деревянном доме

    // можно добавить свои допы и прописать для них цены и формулы

})($lwc || ($lwc = {}));